/* help.h -- help functions for the bridge program.
 ! 
 ! Copyright (C) 1990,1991 by Matthew Clegg
 ! 
 ! This program may be copied and distributed freely.  Please do not
 ! charge money for this program or for any program derived from it.
 ! If you modify this program, then include a notice stating plainly
 ! that your program is derived from the okbridge program and is not
 ! the same as the official okbridge program.
 !
 ! I welcome any suggestions for improvement to okbridge, and 
 ! I would be especially happy to receive improved source code.
 ! If you have comments or suggestions, or if you would like to
 ! join the okbridge mailing list, then write to
 !
 !   mclegg@cs.ucsd.edu
 !
 *
 * This file contains the interface for a help procedure for the
 * bridge program.  The help function is organized as a series of topics,
 * headed by a main topic.  All of the help information is stored in a
 * single file, organized as a list of topics.  The first entry in the
 * file is interpreted to be the main topic, i.e., it is the entry which
 * is displayed if no particular keyword is given.  Each topic entry
 * has a header line which contains an identifying keyword and a 
 * descriptive phrase.  This is followed by the body of the entry
 * and is terminated by an end-of-entry line.  The format of the header
 * line is simply
 *  <keyword> <phrase>
 * where <keyword> is any text string not containing white space characters.
 * The body of the entry consists simply of a series of text lines.
 * These are displayed in order on the screen.  However, a line beginning
 * with the circumflex '^' character is displayed at the beginning of a
 * new page.  A help entry is terminated by a line containing just the
 * two characters '--'.  The last entry in the file need not have this
 * terminator.  The help file may also contain comment lines.  These
 * begin with the pound sign '#' character.
 */
 
extern initialize_help_system ();
/* Called once at the beginning of the program to read the file of help
 * topics.
 */
 
extern display_help ();
/* void display_help (char *topic); */
/* Displays help on the given topic.  This consists of looking up the
 * help file associated to this topic and displaying the contents of this
 * file on the screen.  If the topic string is empty, then displays first
 * the contents of the main topic file, and then displays a list of the
 * topics.  If there is no help on the given topic, then displays a list
 * of topics.
 */
 
